# Class SmiManager.SmiModuleImportImpl

java.lang.Object
com.snmp4j.smi.SmiManager.SmiModuleImportImpl

All Implemented Interfaces:
  `SmiModuleImport`

Enclosing class:
  `SmiManager`

public static class SmiManager.SmiModuleImportImpl extends Object implements SmiModuleImport

Version:
  2.0.0
Author:
  Frank Fock

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmiModuleImportImpl(String moduleName, String[] importedModules)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getImportedModuleNames()`
  Retrieves a list of names of all modules that are imported by the module specified by `SmiModuleImport.getModuleName()`.
  `String`
  `getModuleName()`
  Gets the name of the module importing the modules returned by `SmiModuleImport.getImportedModuleNames()` through a SMI IMPORT statement.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmiModuleImportImpl

    public SmiModuleImportImpl(String moduleName, String[] importedModules)

- ## Method Details

  - ### getModuleName

    public String getModuleName()
    Description copied from interface: `SmiModuleImport`
    Gets the name of the module importing the modules returned by `SmiModuleImport.getImportedModuleNames()` through a SMI IMPORT statement.
    Specified by:
      `getModuleName` in interface `SmiModuleImport`
    Returns:
      a MIB module name.

  - ### getImportedModuleNames

    public String[] getImportedModuleNames()
    Description copied from interface: `SmiModuleImport`
    Retrieves a list of names of all modules that are imported by the module specified by `SmiModuleImport.getModuleName()`.
    Specified by:
      `getImportedModuleNames` in interface `SmiModuleImport`
    Returns:
      a list of strings, where each string represents the name of an imported module.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`